import { del, get, post } from "./http";

const prefix = 'devicesApi/notification/';

export default {
  getUnreadTotal() {
    return get(prefix + "tobe-read-count")
  },
  /**
   * 查询通知列表
   * @param {String} notificationId 最后一个列表对象的Id(用于分页)
   * @returns Promise
   */
  getNotificationList(notificationId) {
    return get(prefix + "alerts", {notificationId})
  },
  readMessage(notificationId) {
    return get(prefix + "read-alert", {notificationId})
  },
  deleteMessage(notificationId) {
    return del(prefix + "alerts/" + notificationId)
  },
  /**
   * 获取各类通知的数量统计
   * @returns Promise
   */
  getTabDotCount() {
    return get(prefix + "tab-count")
  },
  readAll() {
    return get(prefix + "read-all")
  }
}